Name: XaoS
Version: 3.0
Release: 4
Icon: fractal.gif
Copyright: GPL
Group: Graphics/Applications
Packager: Chris Green <sprout@dok.org>
Source: sunsite.unc.edu:/pub/Linux/X11/xapps/graphics/XaoS-3.0.tar.gz
Summary: fast realtime fractal zoomer for SVGAlib, X11 and text displays
Buildroot: /var/tmp/XaoS

%description
XaoS is a fast portable real-time interactive fractal zoomer.
It displays the Mandelbrot set (among other escape time
fractals) and allows you zoom smoothly into the fractal.
Various coloring modes are provided for both the points inside
and outside the selected set. In addition, switching between
Julia and Mandelbrot fractal types and displaying planes is
provided. The first version was a poorly written Mandelbrot
view by Thomas later modified by Jan to support high frame-rate
zooming. Other additions were later made including autopilot
(for those of you without drivers licenses), palette changing,
PNG saving, and fractal inversion.

%changelog
* Sat Mar 13 1999 Chris Green <sprout@dok.org>
- make rpm compile as user


*Wed Mar 19 1998 Trond Eivind Glomsrod <teg@pvv.ntnu.no>
- compiled with gcc 2.8.1
- cleaned up spec-file (removed weird doc handling)
- Doesn't require weirdo AA-lib anymore

%prep
%setup -n XaoS-3.0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-svga-driver=no 
make


%post
/sbin/install-info /usr/info/xaos.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/xaos.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT


%install
/usr/bin/install -c -d $RPM_BUILD_ROOT/usr/share/XaoS
/usr/bin/install -c -d $RPM_BUILD_ROOT/usr/share/XaoS/tutorial
/usr/bin/install -c -d $RPM_BUILD_ROOT/usr/share/XaoS/examples
/usr/bin/install -c -d $RPM_BUILD_ROOT/usr/share/XaoS/catalogs
/usr/bin/install -c -d $RPM_BUILD_ROOT/usr/share/XaoS/doc
/usr/bin/install -c -d $RPM_BUILD_ROOT/usr/bin
/usr/bin/install -c -d $RPM_BUILD_ROOT/usr/man/man6
/usr/bin/install -c -d $RPM_BUILD_ROOT/usr/info/

/usr/bin/install -c -s bin/xaos $RPM_BUILD_ROOT/usr/bin
/usr/bin/install -c -m 444 tutorial/*.x[ah]f $RPM_BUILD_ROOT/usr/share/XaoS/tutorial
/usr/bin/install -c -m 444 examples/* $RPM_BUILD_ROOT/usr/share/XaoS/examples
/usr/bin/install -c -m 444 catalogs/* $RPM_BUILD_ROOT/usr/share/XaoS/catalogs
/usr/bin/install -c -m 444 doc/xaos.6 $RPM_BUILD_ROOT/usr/man/man6
gzip -f doc/xaos.info
/usr/bin/install -c -m 444 doc/xaos.info.gz $RPM_BUILD_ROOT/usr/info

%files 
%doc doc/README doc/README.bugs doc/compilers.txt doc/tutorial.txt doc/ANNOUCE doc/PROBLEMS
%defattr(-,root,root)
/usr/bin/xaos
/usr/man/man6/xaos.6
/usr/share/XaoS
/usr/info/xaos.info.gz
